<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">

<h:head>
    <h:outputStylesheet name="primeflex/primeflex.css" library="css"/>
    <h:outputStylesheet name="primeflex/themes/vela.css" library="css"/>
    <h:outputScript name="js/primeblocks.js" />
    <title><ui:insert name="pageTitle"/></title>
</h:head>

<h:body class="surface-ground" >
    <h:form id="form">
    <p:growl id="messages" showDetail="true"/>
    <div class="min-h-screen lg:static flex relative">

        <div id="app-sidebar"
             class="surface-section h-full lg:h-auto hidden lg:block flex-shrink-0 absolute lg:static left-0 top-0 z-1 border-right-1 surface-border select-none"
             style="width:280px">
            <div class="flex flex-column h-full">
                <div class="flex align-items-center px-5 flex-shrink-0" style="height:60px">
                    <p:graphicImage name="logos/hyper-700.svg" library="images"
                                    alt="Image" height="30"/>
                </div>
                <div class="overflow-y-auto">
                    <ul class="list-none p-3 m-0">
                        <li>
                            <div class="p-3 flex align-items-center justify-content-between text-600 cursor-pointer"
                                 data-pb-styleclass="{ selector: '@next', enterClass: 'hidden', enterActiveClass: 'slidedown', leaveToClass: 'hidden', leaveActiveClass: 'slideup' }">
                                <span class="font-medium">MANAGEMENT</span>
                                <i class="pi pi-chevron-down"/>
                            </div>
                            <ul class="list-none p-0 m-0 overflow-hidden">
                                <li>
                                    <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors"
                                       href="${pageContext.request.contextPath}/warehouse-web/index.faces">
                                        <i class="pi pi-home mr-2"/>
                                        <span class="font-medium">Dashboard</span>
                                    </a>
                                </li>

                                <li>
                                    <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors"
                                       data-pb-styleclass="{ selector: '@next', enterClass: 'hidden', enterActiveClass: 'slidedown', leaveToClass: 'hidden', leaveActiveClass: 'slideup' }">
                                        <i class="pi pi-book mr-2"/>
                                        <span class="font-medium">Libros</span>
                                        <i class="pi pi-chevron-down ml-auto mr-1"/>
                                    </a>
                                    <ul class="list-none py-0 pl-3 pr-0 m-0 hidden overflow-y-hidden transition-all transition-duration-400 transition-ease-in-out">
                                        <li>
                                            <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors"
                                            href="${pageContext.request.contextPath}/warehouse-web/app/book/admin-books.faces">
                                                <i class="pi pi-sitemap mr-2"/>
                                                <span class="font-medium">Administrar</span>
                                            </a>
                                        </li>
                                        <li>
                                            <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                                <i class="pi pi-chart-bar mr-2"/>
                                                <span class="font-medium">Reportes</span>
                                            </a>
                                        </li>
                                    </ul>
                                </li>

                                <li>
                                    <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors"
                                       data-pb-styleclass="{ selector: '@next', enterClass: 'hidden', enterActiveClass: 'slidedown', leaveToClass: 'hidden', leaveActiveClass: 'slideup' }">
                                        <i class="pi pi-briefcase mr-2"/>
                                        <span class="font-medium">Pŕestamos</span>
                                        <i class="pi pi-chevron-down ml-auto mr-1"/>
                                    </a>
                                    <ul class="list-none py-0 pl-3 pr-0 m-0 hidden overflow-y-hidden transition-all transition-duration-400 transition-ease-in-out">
                                        <li>
                                            <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                                <i class="pi pi-sitemap mr-2"/>
                                                <span class="font-medium">Administrar</span>
                                            </a>
                                        </li>
                                        <li>
                                            <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                                <i class="pi pi-chart-bar mr-2"/>
                                                <span class="font-medium">Reportes</span>
                                            </a>
                                        </li>
                                    </ul>
                                </li>

                                <li>
                                    <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors"
                                       data-pb-styleclass="{ selector: '@next', enterClass: 'hidden', enterActiveClass: 'slidedown', leaveToClass: 'hidden', leaveActiveClass: 'slideup' }">
                                        <i class="pi pi-user mr-2"/>
                                        <span class="font-medium">Usuarios</span>
                                        <i class="pi pi-chevron-down ml-auto mr-1"/>
                                    </a>
                                    <ul class="list-none py-0 pl-3 pr-0 m-0 hidden overflow-y-hidden transition-all transition-duration-400 transition-ease-in-out">
                                        <li>
                                            <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                                <i class="pi pi-user-edit mr-2"/>
                                                <span class="font-medium">Administrar usuarios</span>
                                            </a>
                                        </li>
                                        <li>
                                            <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                                <i class="pi pi-id-card mr-2"/>
                                                <span class="font-medium">Administrar roles</span>
                                            </a>
                                        </li>
                                    </ul>
                                </li>

                                <li>
                                    <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                        <i class="pi pi-users mr-2"/>
                                        <span class="font-medium">Team</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="list-none p-3 m-0">
                        <li>
                            <div class="p-3 flex align-items-center justify-content-between text-600 cursor-pointer"
                                 data-pb-styleclass="{ selector: '@next', enterClass: 'hidden', enterActiveClass: 'slidedown', leaveToClass: 'hidden', leaveActiveClass: 'slideup' }">
                                <span class="font-medium">APPLICATION</span>
                                <i class="pi pi-chevron-down"/>
                            </div>
                            <ul class="list-none p-0 m-0 overflow-hidden">
                                <li>
                                    <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                        <i class="pi pi-folder mr-2"/>
                                        <span class="font-medium">Projects</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                        <i class="pi pi-chart-bar mr-2"/>
                                        <span class="font-medium">Performance</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                                        <i class="pi pi-cog mr-2"/>
                                        <span class="font-medium">Settings</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
                <div class="mt-auto">
                    <hr class="mb-3 mx-3 border-top-1 surface-border"/>
                    <a class="m-3 flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors">
                        <p:graphicImage name="avatars/circle/avatar-f-1.png"
                                        library="images"
                                        alt="Image" style="width: 28px; height: 28px" styleClass="mr-2"/>
                        <span class="font-medium">Amy Elsner</span>
                    </a>
                </div>
            </div>
        </div>

        <div class="min-h-screen flex flex-column relative flex-auto">

            <div class="flex justify-content-between align-items-center px-5 surface-0 border-bottom-1 surface-border relative lg:static"
                 style="height:60px">
                <div class="flex">
                    <a class="cursor-pointer block lg:hidden text-700 mr-3"
                       data-pb-styleclass="{ selector: '#app-sidebar', enterClass: 'hidden', enterActiveClass: 'fadeinleft', leaveToClass: 'hidden', leaveActiveClass: 'fadeoutleft', hideOnOutsideClick: true }">
                        <i class="pi pi-bars text-4xl"/>
                    </a>
                    <span class="ui-input-icon-left">
                    <i class="pi pi-search"/>
                    <p:inputText type="search" styleClass="border-none" placeholder="Search"/>
                </span>
                </div>
                <a class="cursor-pointer block lg:hidden text-700"
                   data-pb-styleclass="{ selector: '@next', enterClass: 'hidden', enterActiveClass: 'fadein', leaveToClass: 'hidden', leaveActiveClass: 'fadeout', hideOnOutsideClick: true }">
                    <i class="pi pi-ellipsis-v text-2xl"/>
                </a>
                <ul class="list-none p-0 m-0 hidden lg:flex lg:align-items-center select-none lg:flex-row
                surface-section border-1 lg:border-none surface-border right-0 top-100 z-1 shadow-2 lg:shadow-none absolute lg:static">
                    <li>
                        <a class="flex p-3 lg:px-3 lg:py-2 align-items-center text-600 hover:text-900 hover:surface-100 font-medium border-round cursor-pointer
                        transition-duration-150 transition-colors">
                            <i class="pi pi-inbox text-base lg:text-2xl mr-2 lg:mr-0"/>
                            <span class="block lg:hidden font-medium">Inbox</span>
                        </a>
                    </li>
                    <li>
                        <a class="flex p-3 lg:px-3 lg:py-2 align-items-center text-600 hover:text-900 hover:surface-100 font-medium border-round cursor-pointer
                        transition-duration-150 transition-colors">
                            <p:badge severity="danger">
                                <i class="pi pi-bell text-base lg:text-2xl"/>
                            </p:badge>
                            <span class="block lg:hidden font-medium ml-2 lg:ml-0">Notifications</span>
                        </a>
                    </li>
                    <li class="border-top-1 surface-border lg:border-top-none">
                        <a class="flex p-3 lg:px-3 lg:py-2 align-items-center hover:surface-100 font-medium border-round cursor-pointer
                        transition-duration-150 transition-colors">
                            <p:graphicImage name="avatars/circle/avatar-f-1.png"
                                            library="images"
                                            alt="Image" style="width: 32px; height: 32px"
                                            styleClass="mr-3 lg:mr-0"/>
                            <div class="block lg:hidden">
                                <div class="text-900 font-medium">Josephine Lillard</div>
                                <span class="text-600 font-medium text-sm">Marketing Specialist</span>
                            </div>
                        </a>
                    </li>
                </ul>
            </div>

            <div class="flex flex-column flex-auto">
                <ui:insert name="content" />
            </div>
            <!-- end here -->
        </div>
    </div>
    </h:form>
</h:body>
</html>
